"use strict";
/*
 * Copyright 2018 Brigham Young University
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This module exists because I haven't yet been able to figure out a way
 * to mock the AWS SDK when using Sinon and TypeScript. The 'aws-sdk-mock'
 * tool doesn't work in TypeScript, and I have yet to find out how to use
 * Sinon to mock the SDK when using promises.
 */
const AWS = require("aws-sdk");
// Note: I don't like doing this, but because we have two versions of the aws-sdk in Handel (one from this package and one from the handel package)
//    I don't know what else to do to configure these options globally at the moment
AWS.config.update({
    maxRetries: 10,
    retryDelayOptions: {
        base: 300
    }
});
const awsWrapper = {
    cloudFormation: {
        describeStacks: (params) => {
            const cloudformation = new AWS.CloudFormation({ apiVersion: '2010-05-15' });
            return cloudformation.describeStacks(params).promise();
        },
        waitFor: (stackState, params) => {
            const cloudformation = new AWS.CloudFormation({ apiVersion: '2010-05-15' });
            return cloudformation.waitFor(stackState, params).promise();
        },
        createStack: (params) => {
            const cloudformation = new AWS.CloudFormation({ apiVersion: '2010-05-15' });
            return cloudformation.createStack(params).promise();
        },
        deleteStack: (params) => {
            const cloudformation = new AWS.CloudFormation({ apiVersion: '2010-05-15' });
            return cloudformation.deleteStack(params).promise();
        },
        describeStackEvents: (params) => {
            const cloudformation = new AWS.CloudFormation({ apiVersion: '2010-05-15' });
            return cloudformation.describeStackEvents(params).promise();
        },
        updateStack: (params) => {
            const cloudformation = new AWS.CloudFormation({ apiVersion: '2010-05-15' });
            return cloudformation.updateStack(params).promise();
        }
    },
    ec2: {
        describeSecurityGroups: (params) => {
            const ec2 = new AWS.EC2({ apiVersion: '2016-11-15' });
            return ec2.describeSecurityGroups(params).promise();
        },
        revokeSecurityGroupIngress: (params) => {
            const ec2 = new AWS.EC2({ apiVersion: '2016-11-15' });
            return ec2.revokeSecurityGroupIngress(params).promise();
        },
        authorizeSecurityGroupIngress: (params) => {
            const ec2 = new AWS.EC2({ apiVersion: '2016-11-15' });
            return ec2.authorizeSecurityGroupIngress(params).promise();
        }
    },
    s3: {
        upload: (params) => {
            const s3 = new AWS.S3({ apiVersion: '2006-03-01' });
            return s3.upload(params).promise();
        },
        listBuckets: () => {
            const s3 = new AWS.S3({ apiVersion: '2006-03-01' });
            return s3.listBuckets().promise();
        },
        createBucket: (params) => {
            const s3 = new AWS.S3({ apiVersion: '2006-03-01' });
            return s3.createBucket(params).promise();
        },
        listObjectsV2: (params) => {
            const s3 = new AWS.S3({ apiVersion: '2006-03-01' });
            return s3.listObjectsV2(params).promise();
        },
        deleteObjects: (params) => {
            const s3 = new AWS.S3({ apiVersion: '2006-03-01' });
            return s3.deleteObjects(params).promise();
        },
        putBucketTagging: (params) => {
            const s3 = new AWS.S3({ apiVersion: '2006-03-01' });
            return s3.putBucketTagging(params).promise();
        }
    },
    ssm: {
        putParameter: (params) => {
            const ssm = new AWS.SSM({ apiVersion: '2014-11-06' });
            return ssm.putParameter(params).promise();
        },
        deleteParameter: (params) => {
            const ssm = new AWS.SSM({ apiVersion: '2014-11-06' });
            return ssm.deleteParameter(params).promise();
        },
        deleteParameters: (params) => {
            const ssm = new AWS.SSM({ apiVersion: '2014-11-06' });
            return ssm.deleteParameters(params).promise();
        }
    }
};
exports.default = awsWrapper;
//# sourceMappingURL=aws-wrapper.js.map