"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const handel_extension_api_1 = require("handel-extension-api");
const ec2Calls = require("../aws/ec2-calls");
function bindDependentSecurityGroup(ownServiceContext, ownPreDeployContext, dependentOfServiceContext, dependentOfPreDeployContext, protocol, ports) {
    return __awaiter(this, void 0, void 0, function* () {
        const ownSg = ownPreDeployContext.securityGroups[0];
        const sourceSg = dependentOfPreDeployContext.securityGroups[0];
        let portsToBind;
        if (ports instanceof Array) {
            portsToBind = ports;
        }
        else {
            portsToBind = [ports];
        }
        for (const portToBind of portsToBind) {
            yield ec2Calls.addIngressRuleToSgIfNotExists(sourceSg, ownSg, protocol, portToBind, portToBind, ownServiceContext.accountConfig.vpc);
        }
        return new handel_extension_api_1.BindContext(ownServiceContext, dependentOfServiceContext);
    });
}
exports.bindDependentSecurityGroup = bindDependentSecurityGroup;
//# sourceMappingURL=bind-phase.js.map