import { AccountConfig, DeployContext, EnvironmentVariables, ServiceConfig, ServiceContext, Tags } from 'handel-extension-api';
export declare function deployCloudFormationStack(serviceContext: ServiceContext<ServiceConfig>, stackName: string, cfTemplate: string, cfParameters: AWS.CloudFormation.Parameters, updatesSupported: boolean, timeoutInMinutes: number, stackTags: Tags): Promise<any>;
export declare function getEnvVarsForDeployedService(ownServiceContext: ServiceContext<ServiceConfig>, dependenciesDeployContexts: DeployContext[], userProvidedEnvVars: EnvironmentVariables | undefined): EnvironmentVariables;
export declare function getHandelUploadsBucketName(accountConfig: AccountConfig): string;
export declare function uploadFileToHandelBucket(diskFilePath: string, artifactPrefix: string, s3FileName: string, accountConfig: AccountConfig): Promise<AWS.S3.ManagedUpload.SendData>;
export declare function uploadStringToHandelBucket(content: string, artifactPrefix: string, s3FileName: string, accountConfig: AccountConfig): Promise<AWS.S3.ManagedUpload.SendData>;
export declare function uploadDirectoryToHandelBucket(directoryPath: string, artifactPrefix: string, s3FileName: string, accountConfig: AccountConfig): Promise<AWS.S3.ManagedUpload.SendData>;
export declare function uploadCFTemplateToHandelBucket(serviceContext: ServiceContext<ServiceConfig>, templateBody: string): Promise<AWS.S3.ManagedUpload.SendData>;
export declare function uploadDeployableArtifactToHandelBucket(serviceContext: ServiceContext<ServiceConfig>, pathToArtifact: string, s3FileName: string): Promise<AWS.S3.ManagedUpload.SendData>;
export declare function getAllPolicyStatementsForServiceRole(serviceContext: ServiceContext<ServiceConfig>, ownServicePolicyStatements: any[], dependenciesDeployContexts: any[], includeAppSecretsStatements: boolean, includePutMetricStatements?: boolean): any[];
export declare function addItemToSSMParameterStore(ownServiceContext: ServiceContext<ServiceConfig>, paramName: string, paramValue: string): Promise<boolean>;
