"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TAG_KEY_PATTERN = `[a-zA-Z0-9+\-=._:\\/@]{1,127}`;
exports.TAG_KEY_REGEX = RegExp(`^${exports.TAG_KEY_PATTERN}$`);
exports.TAG_VALUE_MAX_LENGTH = 255;
function getTags(serviceContext) {
    const serviceParams = serviceContext.params;
    const handelTags = {
        app: serviceContext.appName,
        env: serviceContext.environmentName
    };
    const appTags = serviceContext.tags;
    const serviceTags = serviceParams.tags;
    // Service tags overwrite app tags, which overwrite Handel tags
    return Object.assign({}, handelTags, appTags, serviceTags);
}
exports.getTags = getTags;
//# sourceMappingURL=tagging.js.map