"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const awsTags = require("./aws/aws-tags");
const cloudFormationCalls = require("./aws/cloudformation-calls");
const ec2Calls = require("./aws/ec2-calls");
const s3Calls = require("./aws/s3-calls");
const bindPhaseModule = require("./common/bind-phase");
const checkPhaseModule = require("./common/check-phase");
const deletePhasesModule = require("./common/delete-phases");
const deployPhaseModule = require("./common/deploy-phase");
const preDeployPhaseModule = require("./common/pre-deploy-phase");
const taggingModule = require("./common/tagging");
const handlebarsUtils = require("./util/handlebars-utils");
const utilModule = require("./util/util");
exports.checkPhase = checkPhaseModule;
exports.bindPhase = bindPhaseModule;
exports.deletePhases = deletePhasesModule;
exports.deployPhase = deployPhaseModule;
exports.preDeployPhase = preDeployPhaseModule;
exports.tagging = taggingModule;
exports.awsCalls = {
    cloudFormation: cloudFormationCalls,
    ec2: ec2Calls,
    s3: s3Calls,
    tags: awsTags
};
exports.handlebars = handlebarsUtils;
exports.util = utilModule;
//# sourceMappingURL=extension-support.js.map