/**
 * Given a handlebars template filename and a Javascript object of the variables
 * to inject in that template, compiles and returns the template
 *
 * @param {String} filename - The full path of the template file on disk to read
 * @param {Object} variables - A Javascript object containing the variables to be used by Handlebars for the template
 * @returns {Promise<String>} - The finished template with variables replaced
 */
export declare function compileTemplate(filename: string, variables: any): Promise<string>;
